Glib::VariantDict(3pm)

NAME
Glib::VariantDict - Utilities for dealing with the GVariantDict mutable interface to GVariant dictionaries

HIERARCHY
  Glib::Boxed
  +----Glib::VariantDict

METHODS

  variantdict = Glib::VariantDict->new ($from_asv)

•   $from_asv (Glib::Variant)

Since: glib 2.40

  boolean = $dict->contains ($key)

•   $key (string)

Since: glib 2.40

  variant = $dict->end
Since: glib 2.40

  $dict->insert_value ($key, $value)

•   $key (string)

•   $value (Glib::Variant)

Since: glib 2.40

  variant = $dict->lookup_value ($key, $expected_type)

•   $key (string)

•   $expected_type (Glib::VariantType)

Since: glib 2.40

  boolean = $dict->remove ($key)

•   $key (string)

Since: glib 2.40

SEE ALSO
Glib, Glib::Boxed, Glib::Variant

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.